Bug 1386916 - remove docker.pp from selinux-policy and replace with container.pp
Summary: remove docker.pp from selinux-policy and replace with container.pp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.3
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1386912
Blocks: 1377248
TreeView+ depends on / blocked
 
Reported: 2016-10-19 19:50 UTC by Daniel Walsh
Modified: 2017-08-02 08:12 UTC (History)
11 users (show)

Fixed In Version: selinux-policy-3.13.1-121.el7
Doc Type: Bug Fix
Doc Text:
`docker.pp` replaced with `container.pp` in _selinux-policy_ Prior to this update, the `container.te` file in the _container-selinux_ package contained Docker interfaces, which point to the equivalent container interfaces, and also the `docker.if` file. Consequently, when compiling the `container.te` file, the compiler warned about duplicate interfaces. With this update, the `docker.pp` file in the _selinux-policy_ package has been replaced with the `container.pp` file, and the warning no longer occurs in the described scenario.
Clone Of: 1386912
Environment:
Last Closed: 2017-08-01 15:17:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:1861 normal SHIPPED_LIVE selinux-policy bug fix update 2017-08-01 17:50:24 UTC

Description Daniel Walsh 2016-10-19 19:50:16 UTC
+++ This bug was initially created as a clone of Bug #1386912 +++

container.te in container-selinux now includes docker Interfaces which point to the equivalent container* interfaces.

Since we still have docker.if shipping, when you compile container.te the compiler warns about duplicate interfaces.

--- Additional comment from Daniel Walsh on 2016-10-19 15:40:17 EDT ---

This will need to be fixed in Fedora25 and 25 as well as rhel7.

Comment 6 errata-xmlrpc 2017-08-01 15:17:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1861


Note You need to log in before you can comment on or make changes to this bug.